<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\User;
use App\Models\Package;

class Payment extends Model
{
    protected $fillable = [
        'user_id',
        'package_id',
        'amount',
        'proof_path',
        'status',
        'reason',
        'approved_at',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function package()
    {
        return $this->belongsTo(Package::class);
    }
}
